UpdateSNSTextTemplate
UpdateSNSTextTemplate
PUT
/zstack/v1/zwatch/alarms/sns/text-templates/{uuid}/actionsOperation ID
UpdateSNSTextTemplateSince
2.3Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
uuidStringRequiredThe resource UUID.
Body Fields
nameStringOptional. The resource name.
descriptionStringOptional. The detailed description of the resource.
templateStringOptional. The template text.
recoveryTemplateStringOptional. The recovery template text, which is a string.
defaultTemplateBooleanOptional. Whether to set the template as the default template.
